backend:
    name: git-gateway
    repo: jarivm/website-starter-kit
    branch: main
    identity_url: https://auth.decapbridge.com/sites/d277e994-e33d-4f0a-9e07-e36253af5f78
    gateway_url: https://gateway.decapbridge.com

# backend:
#     name: proxy
#     proxy_url: http://localhost:8081/api/v1
#     branch: main

media_folder: 'static/images/uploads'
public_folder: '/images/uploads' # The src attribute for uploaded media will begin with /images/uploads
site_url: /
show_preview_links: true

editor:
    preview: false

locale: 'nl'

i18n:
    structure: multiple_files
    locales: [nl, en]
    default_locale: nl

collections:
    - name: 'post'
      i18n: true
      label: 'Posts'
      label_singular: 'Post'
      folder: 'content/posts'
      create: true
      delete: true
      slug: '{{slug}}'
      preview_path: 'posts/{{slug}}'
      extension: 'md'
      format: 'toml-frontmatter'
      # Workaround: Ideally this would be extra.is_visible_in_cms, but DecapCMS
      # does not currently seem to support filtering subfields.
      filter: { field: 'is_visible_in_cms', value: true }
      fields:
          - label: 'Openbaar'
            name: 'draft'
            widget: 'boolean'
            i18n: true
            required: false
          - label: 'Titel'
            name: 'title'
            widget: 'string'
            hint: 'Aangeraden lengte: minder dan 60 tekens. Belangrijk voor SEO.'
            i18n: true
          - label: 'Slug'
            name: 'slug'
            widget: 'string'
            hint: 'Specificeer waar de pagina te vinden is.'
            i18n: true
          - label: 'Auteurs'
            name: 'authors'
            widget: 'list'
            hint: 'Auteurs van de pagina, gescheiden met een komma.'
            i18n: true
            required: false
          - label: 'Beschrijving'
            name: 'description'
            widget: 'string'
            hint: 'Aangeraden lengte: tussen 60 en 150 tekens. Belangrijk voor SEO.'
            i18n: true
          - label: 'Publicatiedatum'
            name: 'date'
            widget: 'datetime'
            i18n: duplicate
          - label: 'Bewerkingsdatum'
            name: 'updated'
            widget: 'datetime'
            required: false
            i18n: true
          - label: 'Overige'
            name: 'extra'
            widget: 'object'
            i18n: true
            fields:
                - label: 'Uitgelichte afbeelding'
                  name: 'image'
                  widget: 'object'
                  i18n: true
                  fields:
                      - label: 'Afbeelding'
                        name: 'url'
                        widget: 'image'
                        media_library:
                            config:
                                max_file_size: 256000
                        choose_url: true
                        i18n: 'duplicate'
                        hint: 'Snijd de afbeelding tot een passend formaat en gebruik JPG/JPEG als dat mogelijk is.'
                      - label: 'Alt-tekst'
                        hint: 'Tekstuele omschrijving van de afbeelding. Belangrijk voor toegankelijkheid.'
                        name: 'alt'
                        i18n: true
                        widget: 'string'
                      - label: 'Titel'
                        name: 'title'
                        i18n: true
                        widget: 'string'
                        required: false
          - label: 'Visible'
            name: 'is_visible_in_cms'
            widget: hidden
            default: true
            i18n: 'duplicate'
          - label: 'Inhoud'
            name: 'body'
            widget: 'markdown'
            sanitize_preview: true
            i18n: true
            media_library:
                config:
                    max_file_size: 256000
